# azure.mgmt.containerservice.v2018_08_01_preview.operations module

class `azure.mgmt.containerservice.v2018_08_01_preview.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-08-01-preview”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets a list of compute operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of OperationValue
    Return type: | OperationValuePaged[OperationValue]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.containerservice.v2018_08_01_preview.models' from '/usr/lib/python3/dist-packages/azure/mgmt/containerservice/v2018_08_01_preview/models/__init__.py'>

class `azure.mgmt.containerservice.v2018_08_01_preview.operations.``ManagedClustersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ManagedClustersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-08-01-preview”.

  `create_or_update`(resource_group_name, resource_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a managed cluster.

    Creates or updates a managed cluster with the specified configuration for agents and Kubernetes version.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the managed cluster resource.
    - parameters (ManagedCluster) – Parameters supplied to the Create or Update a Managed Cluster operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ManagedCluster or ClientRawResponse<ManagedCluster> if raw==True
    Return type: | AzureOperationPoller[ManagedCluster] or AzureOperationPoller[ClientRawResponse[ManagedCluster]]
    Raises: | `CloudError`

  `delete`(resource_group_name, resource_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a managed cluster.

    Deletes the managed cluster with a specified resource group and name.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the managed cluster resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, resource_name, custom_headers=None, raw=False, **operation_config)

    Gets a managed cluster.

    Gets the details of the managed cluster with a specified resource group and name.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the managed cluster resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ManagedCluster or ClientRawResponse if raw=true
    Return type: | ManagedCluster or ClientRawResponse
    Raises: | `CloudError`

  `get_access_profile`(resource_group_name, resource_name, role_name, custom_headers=None, raw=False, **operation_config)

    Gets an access profile of a managed cluster.

    Gets the accessProfile for the specified role name of the managed cluster with a specified resource group and name.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the managed cluster resource.
    - role_name (str) – The name of the role for managed cluster accessProfile resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ManagedClusterAccessProfile or ClientRawResponse if raw=true
    Return type: | ManagedClusterAccessProfile or ClientRawResponse
    Raises: | `CloudError`

  `get_upgrade_profile`(resource_group_name, resource_name, custom_headers=None, raw=False, **operation_config)

    Gets upgrade profile for a managed cluster.

    Gets the details of the upgrade profile for a managed cluster with a specified resource group and name.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the managed cluster resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ManagedClusterUpgradeProfile or ClientRawResponse if raw=true
    Return type: | ManagedClusterUpgradeProfile or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets a list of managed clusters in the specified subscription.

    Gets a list of managed clusters in the specified subscription. The operation returns properties of each managed cluster.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ManagedCluster
    Return type: | ManagedClusterPaged[ManagedCluster]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists managed clusters in the specified subscription and resource group.

    Lists managed clusters in the specified subscription and resource group. The operation returns properties of each managed cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ManagedCluster
    Return type: | ManagedClusterPaged[ManagedCluster]
    Raises: | `CloudError`

  `list_cluster_admin_credentials`(resource_group_name, resource_name, custom_headers=None, raw=False, **operation_config)

    Gets cluster admin credential of a managed cluster.

    Gets cluster admin credential of the managed cluster with a specified resource group and name.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the managed cluster resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CredentialResults or ClientRawResponse if raw=true
    Return type: | CredentialResults or ClientRawResponse
    Raises: | `CloudError`

  `list_cluster_user_credentials`(resource_group_name, resource_name, custom_headers=None, raw=False, **operation_config)

    Gets cluster user credential of a managed cluster.

    Gets cluster user credential of the managed cluster with a specified resource group and name.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the managed cluster resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CredentialResults or ClientRawResponse if raw=true
    Return type: | CredentialResults or ClientRawResponse
    Raises: | `CloudError`

  `reset_aad_profile`(resource_group_name, resource_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Reset AAD Profile of a managed cluster.

    Update the AAD Profile for a managed cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the managed cluster resource.
    - parameters (ManagedClusterAADProfile) – Parameters supplied to the Reset AAD Profile operation for a Managed Cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `reset_service_principal_profile`(resource_group_name, resource_name, client_id, secret=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Reset Service Principal Profile of a managed cluster.

    Update the service principal Profile for a managed cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the managed cluster resource.
    - client_id (str) – The ID for the service principal.
    - secret (str) – The secret password associated with the service principal in plain text.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `update_tags`(resource_group_name, resource_name, tags=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates tags on a managed cluster.

    Updates a managed cluster with the specified tags.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - resource_name (str) – The name of the managed cluster resource.
    - tags (dict[str, str]) – Resource tags.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ManagedCluster or ClientRawResponse<ManagedCluster> if raw==True
    Return type: | AzureOperationPoller[ManagedCluster] or AzureOperationPoller[ClientRawResponse[ManagedCluster]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.containerservice.v2018_08_01_preview.models' from '/usr/lib/python3/dist-packages/azure/mgmt/containerservice/v2018_08_01_preview/models/__init__.py'>